<?php
if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'sidebar left',
'before_widget' => '',
'after_widget' => '',
'before_title' => '<span class="sbtitle">',
'after_title' => '</span><div class="hrgary"></div>',
));
register_sidebar(array('name'=>'sidebar bottom1',
'before_widget' => '',
'after_widget' => '',
'before_title' => '<span class="sbtitle">',
'after_title' => '</span>',
));
register_sidebar(array('name'=>'sidebar bottom2',
'before_widget' => '',
'after_widget' => '',
'before_title' => '<span class="sbtitle">',
'after_title' => '</span>',
));
register_sidebar(array('name'=>'sidebar bottom3',
'before_widget' => '',
'after_widget' => '',
'before_title' => '<span class="sbtitle">',
'after_title' => '</span>',
));
register_sidebar(array('name'=>'Social Icons',
'before_widget' => '',
'after_widget' => '',
'before_title' => '',
'after_title' => '',
));
register_sidebar(array('name'=>'Ads',
'before_widget' => '',
'after_widget' => '',
'before_title' => '',
'after_title' => '',
));
add_action(
          'widgets_init',
          create_function('','return register_widget("Social_Icons");')
);
add_action(
          'widgets_init',
          create_function('','return register_widget("Ads");')
);

class Social_Icons extends WP_Widget {
	public function __construct() {
		parent::__construct(
	 		'social_Icons', // Base ID
			'Social_Icons', // Name
			array( 'قرار دادن آدرس در آیکون های شبکه های اجتماعی' => __( 'A Foo Widget', 'text_domain' ), ) // Args
		);
	}
	public function widget( $args, $instance ) 
	{
     echo $before_widget;
	 $adfacebook =  ($instance['adfacebook'])?$instance['adfacebook']:"#";
	 $adtwitter =  ($instance['adtwitter'])?$instance['adtwitter']:"#";
	 $adgoogleplus =  ($instance['adgoogleplus'])?$instance['adgoogleplus']:"#";
	 $adrss =  ($instance['adrss'])?$instance['adrss']:"#";
?>

<div class="social">
  <a href="<?php echo $adfacebook; ?>" class="s_fb">
  </a>
  <a href="<?php echo $adtwitter; ?>" class="s_tt">
  </a>
  <a href="<?php echo $adgoogleplus; ?>" class="s_gp">
  </a>
  <a href="<?php echo $adrss; ?>" class="s_rss">
  </a>
</div>
<?php
echo $after_widget;
	}
	public function update( $new_instance, $old_instance ) 
	{
	$instance =  $old_instance;
    //update the username
    $instance['adfacebook']= $new_instance['adfacebook'];
    $instance['adtwitter'] = $new_instance['adtwitter'];
	$instance['adgoogleplus'] = $new_instance['adgoogleplus'];
	$instance['adrss'] = $new_instance['adrss'];
    return $instance;
	}
	public function form( $instance ) 
	{
		?>
<label for="<?php echo $this->get_field_id("adfacebook");  ?>">
<p>آدرس فیسبوک: <br/>
  <input type="text"  value="<?php echo $instance['adfacebook']; ?>" name="<?php  echo $this->get_field_name("adfacebook"); ?>" id="<?php  echo $this->get_field_id("adfacebook") ?>">
</p>
</label>
<label for="<?php echo $this->get_field_id("adtwitter");  ?>">
<p>آدرس تویتر: <br/>
  <input type="text"  value="<?php echo $instance['adtwitter']; ?>" name="<?php  echo $this->get_field_name("adtwitter"); ?>" id="<?php  echo $this->get_field_id("adtwitter") ?>">
</p>
</label>
<label for="<?php echo $this->get_field_id("adgoogleplus");  ?>">
<p>آدرس گوگل پلاس: <br/>
  <input type="text"  value="<?php echo $instance['adgoogleplus']; ?>" name="<?php  echo $this->get_field_name("adgoogleplus"); ?>" id="<?php  echo $this->get_field_id("adgoogleplus") ?>">
</p>
</label>
<label for="<?php echo $this->get_field_id("adrss");  ?>">
<p>آدرس خوراک: <br/>
  <input type="text"  value="<?php echo $instance['adrss']; ?>" name="<?php  echo $this->get_field_name("adrss"); ?>" id="<?php  echo $this->get_field_id("adrss") ?>">
</p>
</label>
<?php  
	}

}

class Ads extends WP_Widget {
	public function __construct() {
		parent::__construct(
	 		'ads', // Base ID
			'Ads', // Name
			array( 'قرار دادن آدرس در آیکون های شبکه های اجتماعی' => __( 'A Foo Widget', 'text_domain' ), ) // Args
		);
	}
	public function widget( $args, $instance ) 
	{
     echo $before_widget;
	 $AdAddress =  ($instance['adaddress'])?$instance['adaddress']:"#";
	 $AdImageAddress =  ($instance['adimageaddress'])?$instance['adimageaddress']:"#";
	 $AdDescription =  ($instance['addesc'])?$instance['addesc']:"#";
?>

<div style="padding:8px;text-align:center">
        <a href="<?php echo $AdAddress; ?>" target="_blank">
        <img src="<?php echo $AdAddress; ?>" alt="<?php echo $AdDescription; ?>" title="<?php echo $AdDescription; ?>" />
        </a>
      </div>
<?php
echo $after_widget;
	}
	public function update( $new_instance, $old_instance ) 
	{
	$instance =  $old_instance;
    //update the username
    $instance['adaddress']= $new_instance['adaddress'];
    $instance['adimageaddress'] = $new_instance['adimageaddress'];
	$instance['addesc'] = $new_instance['addesc'];
    return $instance;
	}
	public function form( $instance ) 
	{
		?>
<label for="<?php echo $this->get_field_id("adaddress");  ?>">
<p>آدرس وبسایت : <br/>
  <input type="text"  value="<?php echo $instance['adaddress']; ?>" name="<?php  echo $this->get_field_name("adaddress"); ?>" id="<?php  echo $this->get_field_id("adaddress") ?>">
</p>
</label>
<label for="<?php echo $this->get_field_id("adimageaddress");  ?>">
<p>آدرس عکس برای نمایش : <br/>
  <input type="text"  value="<?php echo $instance['adimageaddress']; ?>" name="<?php  echo $this->get_field_name("adimageaddress"); ?>" id="<?php  echo $this->get_field_id("adimageaddress") ?>">
</p>
</label>
<label for="<?php echo $this->get_field_id("addesc");  ?>">
<p>توضیح کوتاهی در مورد وبسایت مورد نظر : <br/>
  <input type="text"  value="<?php echo $instance['addesc']; ?>" name="<?php  echo $this->get_field_name("addesc"); ?>" id="<?php  echo $this->get_field_id("addesc") ?>">
</p>
</label>
<?php  
	}

}
?>
